<?php

define( 'ALARA_VERSION', wp_get_theme()->get( 'Version' ) );
define( 'ALARA_THEME_NAME', wp_get_theme()->get( 'Name' ) );
define( 'ALARA_THEME_URI', wp_get_theme()->get( 'ThemeURI' ) );
define( 'ALARA_TEMPLATE_DIR', get_template_directory() );
define( 'ALARA_TEMPLATE_DIR_URI', get_template_directory_uri() );

if ( ! function_exists( 'alara_support' ) ) {
	function alara_support()  {

		// Make theme available for translation.
		load_theme_textdomain( 'alara', ALARA_TEMPLATE_DIR . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		// Adding support for featured images.
		add_theme_support( 'post-thumbnails' );

		// Adding support for core block visual styles.
		add_theme_support( 'wp-block-styles' );

		// Adding support for responsive embedded content.
		add_theme_support( 'responsive-embeds' );

		add_theme_support( 'editor-styles' );
		add_editor_style( 'style.css' );

    }
    add_action( 'after_setup_theme', 'alara_support' );
}


/**
 * Enqueue scripts and styles.
 */
function alara_scripts_styles() {

	wp_enqueue_style( 'alara-style', ALARA_TEMPLATE_DIR_URI . '/style.css', array(), ALARA_VERSION );

}
add_action( 'wp_enqueue_scripts', 'alara_scripts_styles' );


/**
 * Block patterns.
 */
require ALARA_TEMPLATE_DIR . '/inc/patterns.php';


/**
 * Block styles.
 */
require ALARA_TEMPLATE_DIR . '/inc/styles.php';
